> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/56.-nalozi-fotografije.md).

# 56. Naloži fotografije

Nalaganje fotografije prek S3 vsebuje 2 koraka:

1. **Zahtevajte predhodno podpisano povezavo za neposredno nalaganje.**&#x20;

Kot vhod:&#x20;

* fileExtention - jpeg ALI jpg ALI png,&#x20;
* farmUuid - uuid kmetije,
* fieldUuid - uuid polja,
* noteUuid - uuid zapisa za neposredno povezavo naložene fotografije,
* commentUuid - uuid komentarja za neposredno povezavo naložene fotografije (opcijsko).&#x20;

Kot izhod:

* uuid - pričakovani uuid po nalaganju in obdelavi,
* farmUuid - enako kot v vhodu,
* fieldUuid - enako kot v vhodu,
* noteUuid - enako kot v vhodu,
* commentUuid - enako kot v vhodu (če obstaja),
* s3Url - URL, uporabljen za nalaganje fotografije,
* s3Fields - atributi, ki jih je treba posredovati v obrazcu za nalaganje fotografije.

Podrobnosti o tem, kako uporabljati s3Url in s3Fields, so opisane v drugem koraku.&#x20;

Atributi veljajo le 60 minut za nalaganje fotografije.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Pošljite lokalno fotografijo na s3Url s prednastavljenimi atributi obrazca iz s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Obvestila o obdelavi bodo dostavljena preko mehanizma naročnin, opisanega v GraphQL -> Vzorce -> [1. Naročnina: Prejem dogodkov](/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/1.-narocnina-pridobi-dogodke.md).

{% hint style="info" %}
Uporabite ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/56.-nalozi-fotografije.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
